Skip to main content
`Ctrl`+`K`

# PETSC_DEVICE_DEFAULT

Retrieve the current default `PetscDeviceType`

## Synopsis

    #include <petscdevice.h>
    PetscDeviceType PETSC_DEVICE_DEFAULT(void)

Not Collective

## Notes

Unless selected by the user, the default device is selected in the following order: `PETSC_DEVICE_HIP`, `PETSC_DEVICE_CUDA`, `PETSC_DEVICE_SYCL`, `PETSC_DEVICE_HOST`.

## See Also

`PetscDeviceType`, `PetscDeviceSetDefaultDeviceType()`, `PetscDeviceGetType()`

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages